Home 2018-05-27T03:12:51+00:00

The Ultimate Solution
for Multilingual WordPress

Don’t take our word for it

Reviews from the WordPress.org Plugin Directory:

I tried WPGlobus, Polylang and Xili to add second language to my site. Out of these three WPGlobus is the most user friendly and easiest to get running without any coding understanding. I ran into few problems on my custom theme with few fields not translating correctly, but with WPGlobus Plus addon and help from developers I got my site working. Developers replied and handled the problem within one day of submitting a ticket.

Easy to use. Helpful developers, sebasti

I tried to find a simple and easy to use multilingual plugin that works straightforward.
I downloaded and tried 2 different plugins but had terrible nightmare and I almost gave up multilingual project until I did one more search and Walllaaa~!!!
Easy as 1-2-3 installation of ‘WPGlobus’ is not only the best but indebted to its excellent admin section, I now became an expert in using it within much less than a delightful hour…

It can’t be better than WPGlobus, huetr

The customer service is really perfect.
I encountered a problem and sent them an email.
They replied me immediately and helped me to deal this problem.

Customer Service is Perfect, ivanwu

I use this plugin on three language site.
It works very well!
Thank You for Your work !

Thank You!, chlv

Featured Add-ons

Click to see all add-ons

 Recently Updated

1312, 2018

WPGlobus Plus 1.1.53

December 13th, 2018|

The recent changes:

1.1.53

  • Module Publish:
    • Added filter for the current language name.
  • Module Taxonomies (beta-7):
    • Fixed a problem when category removed from the URL by a 3rd party add-on.

1.1.52

  • Module ACF:
    • Ignore WYSIWYG editors not belonging to ACF.

1012, 2018

WPGlobus for WooCommerce 3.5.0

December 10th, 2018|

2018-12-10 – version 3.5.0

  • TESTED WITH
    • WooCommerce 3.5
    • WPGlobus 2.0

In the previous version:

  • Fix: The “Localize Emails” code is activated for PHP >= 5.5.21. Earlier PHP versions produce a fatal error.
  • WC tested up to: 3.4.5.

712, 2018

WPGlobus 2.0.1

December 7th, 2018|

WPGlobus Version 2 is a new major version, designed to work with WordPress 5.

It is compatible with the Gutenberg Editor, which is now a part of the WordPress Core, and with the Classic Editor plugin v.1.

Note: the Classic Editor v.1.0 is not compatible with WordPress 4! For WordPress 4.9 and earlier versions, please stay with the Classic Editor v.0.5

2.0.1

  • FIXED:
    • Builders/Gutenberg: saving posts correctly in the WordPress 5 ‘classic-editor’ mode.

Thank you for your continuing support! Please enjoy the new release and do not hesitate to contact us should you have any questions.


111, 2018

Attention: Yoast SEO, Builders and WooCommerce

November 1st, 2018|

In a recent version of WPGlobus, we introduced support for Gutenberg, Yoast SEO 8+ and some page builders.

Please note that this functionality is not available yet for the WooCommerce’s products.

  • You can turn off Yoast support for products on the WP SEO -> Titles settings page.
  • Various page builders also have settings allowing to use them on regular posts and pages only, and not on products.

We are working on WooCommerce integration. Thank you for your patience!

WPGlobus affiliate program

Earn Passive Income with the WPGlobus Affiliate Program!

Share links to WPGlobus.com anywhere on your website, blog, and Social Media and earn a commission for every new paid subscription with us!

Learn More